<?php
/**
 * Plugin Name: EGPS - Easy Sell for Google Photo
 * Plugin URI: https://feldvebel.hu/egps-plugin
 * Description: The simpliest way to sell your photos from your Google Photos account.
 * Version: 1.0.1
 * Author: feldvebel.hu
 * Author URI: https://feldvebel.hu
 * Requires at least: 5.6
 * Tested up to: 6.4.3
 * Stable tag: 1.0
 * License: GPLv2 
 */

if(!defined('ABSPATH')){
    exit; // Exit if accessed directly
}

//error_reporting(E_ALL ^ E_WARNING); 

define('EGPS_BASE', __DIR__);
define('EGPS_BASE_FILE', __FILE__ );
define('EGPS_ABSPATH', ABSPATH);
define('EGPS_BASE_PLUGIN', plugin_dir_url(__FILE__));
define('EGPS_DB_VER', '1.0');
define( 'EGPS_VERSION', '20240510');

// Initialize
//include_once __DIR__ . '/common/EgpsPageTemplate.php';
include_once __DIR__ . '/common/EgpsDatabase.php';
include_once __DIR__ . '/common/EgpsAuthenticate.php';
include_once __DIR__ . '/common/EgpsFirebase.php';
include_once __DIR__ . '/common/EgpsPayPal.php';
include_once __DIR__ . '/common/EgpsAlbums.php';
include_once __DIR__ . '/common/Egps.php';
include_once __DIR__ . '/common/EgpsCustomers.php';
include_once __DIR__ . '/common/EgpsCart.php';
include_once __DIR__ . '/common/EgpsOrders.php';
include_once __DIR__ . '/common/EgpsEmailSend.php';
include_once __DIR__ . '/admin/Initialize.php';

include_once __DIR__ . '/common/EgpsCreatePages.php';
include_once __DIR__ . '/common/EgpsREST.php';

require_once ABSPATH . 'wp-admin/includes/file.php';


///// DATABASE
global $wpdb;
$wpdb->show_errors();
//

